#include <glib-object.h>
#include "gmyth.h"
#include <glib.h>

int
main (int args, const char **argv)
{
    GMythBackendInfo *backend_info;
    g_type_init();
    //g_thread_init(NULL);

    backend_info = gmyth_backend_info_new ();

    gmyth_backend_info_set_hostname (backend_info, "192.168.3.165");
    gmyth_backend_info_set_port (backend_info, 6543);
    gmyth_backend_info_set_status_port (backend_info, 6544);
    
    GTimeVal* start = gmyth_util_string_to_time_val("2006-01-01T00:00:00");
    GTimeVal* end = gmyth_util_string_to_time_val("2007-03-10T00:00:00");
    GMythEpg epg;
    epg  = gmyth_http_retrieve_epg(backend_info, start, end, 1000, 10000, "1");

    if ( NULL == epg.channelList || g_slist_length( epg.channelList ) <= 0 )
    	printf( "Channel list is empty!!!" );
 
    //GMythRecorded recorded;
    //recorded = gmyth_http_retrieve_recorded(backend_info);

    //GMythRecorded_Program* program = recorded.programList->data;

    //GSList* profiles = gmyth_http_retrieve_rec_profiles(backend_info, "Transcoders");

    //GMythRecProfile* prof = profiles->data;



    GMythRecProfile* profile = gmyth_recprofile_new();

    gmyth_recprofile_set_name(profile, "Teste");
    gmyth_recprofile_set_group(profile, "Transcoders");
    gmyth_recprofile_set_vcodec(profile, "MPEG-4");
    gmyth_recprofile_set_acodec(profile, "MP3");
 

    int teste = gmyth_http_create_rec_profile(backend_info, profile);
	
    printf("Hello: %d\n", teste);

    int teste2 = gmyth_http_del_rec_profile(backend_info, 56);

    return 0;    
}
